Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.svg
Class SVGDocumentHandler

    java.lang.Object
      org.apache.fop.render.intermediate.AbstractIFDocumentHandler
          org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
              org.apache.fop.render.svg.AbstractSVGDocumentHandler
                  org.apache.fop.render.svg.SVGDocumentHandler

All Implemented Interfaces:
  IFDocumentHandler, SVGConstants, XMLConstants

public class SVGDocumentHandler
extends AbstractSVGDocumentHandler

`IFDocumentHandler` implementation that writes SVG 1.1.

Field Summary

Fields inherited from class org.apache.fop.render.svg.AbstractSVGDocumentHandler
`fontInfo, state`

Fields inherited from class org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
`handler, tFactory`

Fields inherited from interface org.apache.fop.render.svg.SVGConstants
`FILE_EXTENSION_SVG, MIME_SVG_PRINT, MIME_TYPE, NAMESPACE, SVG_ELEMENT`

Fields inherited from interface org.apache.fop.util.XMLConstants
`CDATA, XLINK_HREF, XLINK_NAMESPACE, XLINK_PREFIX, XML_NAMESPACE, XML_PREFIX, XML_SPACE, XMLNS_NAMESPACE_URI, XMLNS_PREFIX`

Constructor Summary
`SVGDocumentHandler()` Default constructor.

Method Summary
`void` | `endDocument()` Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.
`void` | `endDocumentHeader()` Indicates the end of the document header. This method is called before the first page sequence.
`void` | `endPage()` Indicates the end of a page
`void` | `endPageContent()` Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.
`void` | `endPageSequence()` Indicates the end of a page sequence.
`java.lang.String` | `getMimeType()` Returns the MIME type of the output format that is generated by this implementation.
`void` | `setResult(javax.xml.transform.Result result)` Sets the JAXP Result object to receive the generated content.
`void` | `startDocument()` Indicates the start of a document. This method may only be called once before any other event method.
`void` | `startPage(int index, java.lang.String name, java.lang.String pageMasterName, java.awt.Dimension size)` Indicates the start of a new page.
`IFPainter` | `startPageContent()` Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.
`void` | `startPageSequence(java.lang.String id)` Indicates the start of a new page sequence.
`boolean` | `supportsPagesOutOfOrder()` Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

Methods inherited from class org.apache.fop.render.svg.AbstractSVGDocumentHandler
`getConfigurator, getFontInfo, getMainNamespace, handleExtensionObject, setDefaultFontInfo, setFontInfo, startDocumentHeader`

Methods inherited from class org.apache.fop.render.intermediate.AbstractXMLWritingIFDocumentHandler
`createContentHandler`

Methods inherited from class org.apache.fop.render.intermediate.AbstractIFDocumentHandler
`endDocumentTrailer, endPageHeader, endPageTrailer, getContext, getDocumentNavigationHandler, getUserAgent, setContext, startDocumentTrailer, startPageHeader, startPageTrailer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGDocumentHandler

    public SVGDocumentHandler()

  Default constructor.

Method Detail

### supportsPagesOutOfOrder

    public boolean supportsPagesOutOfOrder()

  Indicates whether the painter supports to handle the pages in mixed order rather than ascending order.

  Returns:
    true if out-of-order handling is supported

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type of the output format that is generated by this implementation.

  Returns:
    the MIME type

### setResult

    public void setResult(javax.xml.transform.Result result)
                   throws IFException

  Sets the JAXP Result object to receive the generated content.

  Specified by:
    `setResult` in interface `IFDocumentHandler`
  Overrides:
    `setResult` in class `AbstractXMLWritingIFDocumentHandler`
  Throws:
    `IFException`

### startDocument

    public void startDocument()
                       throws IFException

  Indicates the start of a document. This method may only be called once before any other event method.

  Specified by:
    `startDocument` in interface `IFDocumentHandler`
  Overrides:
    `startDocument` in class `AbstractIFDocumentHandler`
  Throws:
    `IFException`

### endDocument

    public void endDocument()
                     throws IFException

  Indicates the end of a document. This method may only be called once after the whole document has been handled. Implementations can release resources (close streams). It is an error to call any event method after this method.

  Throws:
    `IFException` - if an error occurs while handling this event

### endDocumentHeader

    public void endDocumentHeader()
                           throws IFException

  Indicates the end of the document header. This method is called before the first page sequence.

  Specified by:
    `endDocumentHeader` in interface `IFDocumentHandler`
  Overrides:
    `endDocumentHeader` in class `AbstractSVGDocumentHandler`
  Throws:
    `IFException`

### startPageSequence

    public void startPageSequence(java.lang.String id)
                           throws IFException

  Indicates the start of a new page sequence.

  Parameters:
    `id` - the page sequence's identifier (or null if none is available)
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageSequence

    public void endPageSequence()
                         throws IFException

  Indicates the end of a page sequence.

  Throws:
    `IFException` - if an error occurs while handling this event

### startPage

    public void startPage(int index,
                          java.lang.String name,
                          java.lang.String pageMasterName,
                          java.awt.Dimension size)
                   throws IFException

  Indicates the start of a new page.

  Parameters:
    `index` - the index of the page (0-based)
    `name` - the page name (usually the formatted page number)
    `pageMasterName` - the name of the simple-page-master that generated this page
    `size` - the size of the page (equivalent to the MediaBox in PDF)
  Throws:
    `IFException` - if an error occurs while handling this event

### startPageContent

    public IFPainter startPageContent()
                               throws IFException

  Indicates the start of the page content. The method returns an `IFPainter` interface which is used to paint the page contents.

  Returns:
    the IFPainter for the page content
  Throws:
    `IFException` - if an error occurs while handling this event

### endPageContent

    public void endPageContent()
                        throws IFException

  Indicates the end of the page content. Calls to the `IFPainter` returned by the respective `IFDocumentHandler.startPageContent()` method are illegal.

  Throws:
    `IFException` - if an error occurs while handling this event

### endPage

    public void endPage()
                 throws IFException

  Indicates the end of a page

  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.